Bug 218928 - iscsiadm rejects -M sysdir option passed by mkinitrd
iscsiadm rejects -M sysdir option passed by mkinitrd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-08 10:21 EST by Karl Czajkowski
Modified: 2008-05-06 13:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:08:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karl Czajkowski 2006-12-08 10:21:36 EST
Description of problem:

With an iscsi root filesystem (manually configured via mke2fs, tar, --bind
mounts, and chroot), mkinitrd fails because it tries to pass a "-M sysdir"
option to iscsiadm that is not accepted.

Version-Release number of selected component (if applicable): 
mkinitrd-5.1.19-1
iscsi-initiator-utils-6.2.0.747-0.0.fc6

How reproducible:

Every time.

Steps to Reproduce:
1. have a root (/) filesystem mounted from an iscsi device
2. run mkinitrd to generate a new image with iscsi root boot support
  
Actual results:

% mkinitrd -v initrd-2.6.18-1.2849.fc6iscsi.img 2.6.18-1.2849.fc6
...
setting iscsi parameters
/sbin/iscsiadm: invalid option -- M
iscsiadm: unrecognized character 'M'
Unable to find iscsi record for
/sys/devices/platform/host15/session0/target15:0:0/15:0:0:0


Expected results:

A successfully created image. When I manually hacked a copy of mkinitrd
to pass -T <target> -p <portal IP> instead of the "-M $1" arguments
in iscsi_get_rec_val, it seems to generate an initial ramdisk successfully.

Additional info:

I notice that the manpage and brief help for iscsiadm list the -M sysdir
option but it is not included in the detailed explanations later in the
document. Has this option been deprecated or otherwise disabled?

Here is a full output of mkinitrd when it fails:

[root@myhost boot]# mkinitrd -v foo.img 2.6.18-1.2849.fc6
Creating initramfs
Looking for deps of module uhci-hcd
Looking for deps of module ohci-hcd
Looking for deps of module ehci-hcd
Looking for deps of module ext3: jbd 
Looking for deps of module jbd
Found root device sdb1 for LABEL=/iscsiroot
Looking for driver for device sdb1
Found iscsi component /sys/devices/platform/host15/session0/target15:0:0/15:0:0:0
Looking for deps of module iscsi_tcp: scsi_mod scsi_transport_iscsi libiscsi 
Looking for deps of module scsi_mod
Looking for deps of module sd_mod: scsi_mod 
Looking for deps of module scsi_transport_iscsi: scsi_mod 
Looking for deps of module libiscsi: scsi_mod scsi_transport_iscsi 
setting iscsi parameters
/sbin/iscsiadm: invalid option -- M
iscsiadm: unrecognized character 'M'
Unable to find iscsi record for
/sys/devices/platform/host15/session0/target15:0:0/15:0:0:0
Comment 1 Karl Czajkowski 2006-12-18 01:34:39 EST
I realized that I mixed up my systems and the reported bug is actually observed
on an i686 install and has not been tested on x86_64. However, the nature of the
bug makes me doubt that it is platform-specific.

I tried to change the platform field for the bug, but am not sure I did this
right... I am new to bugzilla.redhat.com
Comment 2 Bug Zapper 2008-04-04 01:09:36 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 13:08:36 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.